// Program written by Iman Mukherjee (as part of NMEICT, FOSSEE project, IITBombay)
// Analyzes a sine signal
// Explains the concept of Aliasing by changing Sampling Frequency Fs

//Analyzing a signal

clc;

t=soundsec(0.5);
s=sin(2*%pi*440*t);
analyze(s,200,600,22050)

// halt();

// ***************************************
// Aliasing

f = 60; //Hz
tmin = -0.05;
tmax = 0.05;
t = linspace(tmin, tmax, 400);
alpha = 1;
x_c = cos(alpha * 2 * %pi * f * t);
figure;
plot(t, x_c)

Fs = 80 // for 400, 200, 120, 70, 40

T = 1/Fs;
nmin = ceil(tmin/T);
nmax = floor(tmax/T);
n = nmin:nmax;
x_s = cos(2*%pi*f*n*T);
figure;
plot(t, x_c)
mtlb_hold("on")
plot(n*T, x_s, '.')
mtlb_hold("off")

figure;
plot(n*T, x_s, '-.');

