// Program written by Iman Mukherjee (as part of NMEICT, FOSSEE project, IITBombay)
// Describes Non-recipe based filter designing

clc;
clear all;

s = poly(0,'s');
f = syslin('c',1/(s+0.8));
g = ss2tf(dscr(tf2ss(f),0.1))
frq = 0.05:0.05:3;resg = repfreq(g,frq);
plot(frq, resg);

t = 0:0.001:4;
inp1 = sin(2*%pi*t) + sin(2*%pi*2*t) + sin(2*%pi*30*t) + sin(2*%pi*40*t) + sin(2*%pi*50*t); // Frequencies present - 1, 2, 30, 40, 50

playsnd(inp1);

halt();

out1 = flts(inp1,g);

playsnd(out1);


halt();

e = syslin('c',f/(0.1+s));
h = ss2tf(dscr(tf2ss(e),0.1));
frq1 = 0:0.05:3;repf = repfreq(h,frq1);
figure;
plot(frq1, repf);

t = 0:0.001:4;
inp = sin(2*%pi*t) + sin(2*%pi*2*t) + sin(2*%pi*30*t) + sin(2*%pi*40*t) + sin(2*%pi*50*t);

playsnd(inp);

halt();

out = flts(inp,h);

playsnd(out);



